package com.tofly.gpsboot.service.mq;


import com.tofly.pojo.maintain.Dispatch;
import com.tofly.pojo.maintain.Repairorder;
import com.tofly.pojo.plan.Plan;

import java.util.List;

/**
 * @author Zev
 */
public interface IPlanMessageService {
    /**
     * 计划任务发送
     *
     * @param planList
     */
    void planSendMessage(List<Plan> planList);


    /**
     * 隐患任务发送
     *
     * @param planList
     */
    void planSendMessageTrouble(List<Plan> planList);

    /**
     * 工地监护任务发送
     *
     * @param planList
     */
    void planSendMessageBuild(List<Plan> planList);

    /**
     * 维护任务发送
     *
     * @param planList
     */
    void planSendMessageMaintain(List<Plan> planList);

    /**
     * 抢维修任务发送
     *
     * @param data
     */
    void orderSendMessage(String data);

    /**
     * 工单驳回发送
     * @param repairOrder
     * @param notes
     */
    void orderRejectedSendMessage(Repairorder repairOrder,String notes);

    /**
     * 工单转发发送
     * @param repairOrder
     * @param notes
     */
    void orderForwardingSendMessage(Repairorder repairOrder,Long forwardingUserId,String notes);

    /**
     * 时间和汛情上报提醒消息发送
     * @param dispatch
     * @param notes
     */
    void eventAnFloodSendMessage(Dispatch dispatch,String notes);

}
